DVILJ2(1)

NAME
dvilj2, dvilj2p, dvilj, dviljp, dvi3812 - convert dvi files to HP LaserJet or IBM 3812 format

SYNOPSIS
dvi2lj [-afontpath] [-b ] [-ccopies] [-dmode] [-D] [-eoutput file] [-ffrompage] [-g] [-hheader file] [-l] [-mmag] [-ppages] [-q] [-r] [-ttopage] [-spagesize] [-v] [-w] [-xxoff(mm)] [-yyoff(mm)] [-Xxoff(dots)] [-Yyoff(dots)] [-z] [filename]

DESCRIPTION
Dvilj2 converts TeX-output .dvi files into HP PCL (i.e. HP Printer Control Language) commands suitable for printing on a HP LaserJet+, HP LaserJet II and fully compatible printers.
Dvilj2p converts TeX-output .dvi files into HP PCL commands suitable for printing on a HP LaserJet IIp, HP LaserJet III or HP Laserjet 2000 and fully compatible printers. This version uses a newer PCL command set and provides landscape printing.
Dviljp and dvilj are similar to dvilj2p and dvilj2 but they support only 128 character fonts. They may be used for Laserjet clones which do not support 256 character fonts.
Dvi3812 converts TeX-output .dvi files into PMP files, the native command language of the IBM 3812 page printer.
All programs are generated from the same source dvi2xx.c. They are usually called by a shell script or as a line printer filter.

OPTIONS

-afontpath
    directory to take fonts from (alternative to environment variable TEXPXL); see below for details about the font directory structure

-b
    take paper for first page from alternate cassette (only 3812)

-cnumber
    print each page number times (including original)

-dnumber
    print in duplex mode. The option -d1 means long edge binding, -d2 stands for short edge binding. This option is only selectable from dvilj2p, and works only on a LaserJet IId or a LaserJet IIId.

-D
    Double-sided printing - see below; -D1 prints odd sides only, -D2 is for even pages, a trailing - suppresses printing of empty padding pages.

-eoutput file
    default output filename is the basename of dvi file and extension '.lj' for laserjet and '.pmp' for 3812. The '-e' option can be used to override this default and to direct the output to a different file. If the output filename is set to '-` (option '-e-') the output is directed to stdout and can be directly piped into a spooler.

-fpage number
    start printing at top of given page number

-g
    go - do not reset printer at start of job

-hheader file
    headerfile to be copied before translation of dvi-file. Used to send arbitrary commands to the laserprinter.

-l
    landscape - print output in landscape mode. This option is provided only for dvilj2p and dvi3812.

-mmagnification
    Specifiy the magnification to use. The following are available:
    -m#usermag e.g. #1200
    -m0 equivalent to -m#1000
    -mh equivalent to -m#1095
    -m1 equivalent to -m#1200
    -mq equivalent to -m#1250
    -m2 equivalent to -m#1440
    -m3 equivalent to -m#1728
    -m4 equivalent to -m#2074
    -m5 equivalent to -m#2488

-pnumber of pages
    print given number of pages

-q
    quiet operation

-r
    toggle reverse/not reverse order for output. By default reverse=FALSE for 3812, reverse=TRUE for laserjet.

-spagesize
    Spezify pagesize (LJ-family only!)
    -s1: executive (7.25in * 10.5in)
    -s2: letter (8.5in * 11in)
    -s3: legal (8.5in * 14in)
    -s26: A4 (210mm * 297mm)
    -s80: monarch (3.875in * 7.5in)
    -s81: commercial-10 (4.125in * 9.5in)
    -s90: international DL (110mm * 220mm)
    -s91: international C5 (162mm * 229mm)
    All values are from the LJ II technical reference manual. If the -s commandline option is omitted no clipping is performed at the bottom of the page.

-tpage number
    print to end of given page number

-v
    verbose mode, list used fonts

-w
    print no warnings

-xoffset
    global x-offset in mm on output page relative to 1 inch/1 inch origin

-yoffset
    global y-offset in mm on output page relative to 1 inch/1 inch origin

-Xoffset
    global x-offset in dots on output page (to set 1 inch/1 inch origin)

-Yoffset
    global y-offset in dots on output page (to set 1 inch/1 inch origin)

-z
    print a test page with the page counter at end of job (only for laserjet)

If no arguments are specified a short help file is displayed.

font directory structure
The specified fontpath may contain more than directory names. Under Unix the direcory names are separated by a ':', under MSDOS by a ';'. The paths are searched from left to right. For each directory in the searchpath the following font naming conventions are tried:
- dpi<resolution>/<fontname>.pk (eg: ./dpi300/cmr10.pk)
- dpi<resolution>/<fontname>.pxl (eg: ./dpi300/cmr10.pxl)
- pxl<magnification>/<fontname>.pk (eg: ./pxl1500/cmr10.pk)
- pxl<magnification>/<fontname>.pxl (eg:./pxl1500/cmr10.pxl)
- <fontname>.<resolution>pk (eg: ./cmr10.300pk)
- <fontname>.<resolution>pxl (eg: ./cmr10.300pxl)
- <fontname>.<resolution> (eg: ./cmr10.300)

\special commands
Two TeX '\special' commands are implemented:

\special{file=<filename>}
    copy specified file to the printer; either vector- or bitmap-graphics PMP commands (for laserjet and 3812)

\special{orientation=<value>}
    set page orientation to 0, 1, 2, 3; rotate following output to landscape mode etc. (3812 only).

others:
    There are a few other special commands implented for the LJ-series, which should only be used in connection with the distributed style files (eg graybox.sty). They are likely to be changed in forthcoming versions.

Double Page Printing
The command line option -D causes the printer to print in doublepage mode, that is - roughly speaking - printing first the even pagen and then the odd pages of a document. If -D is used to print both even and odd pages (-D is used without the optional 1 or 2) the following will happen after half of the pages is printed:

3812:
    the printer beeps, shows message U1. An operator has to refill the printed pages into the paper tray and to push the continue button on the printer.

LJ: the printer stops, shows message "FEED" and switches on manual feed led. The printer continues when either the printed pages are fed into the manual page feeder, or the operator pushes the continue button (after placing first the printed pages into the paper tray).

If -D1 was specified only odd pages will be printed, -D2 can be used for even pages. A trailing `-' (as in -D-, -D1- or -D2-) supresses printing of empty pages which are generated for padding otherwise.

The driver allows the -D option for both print-directions (front-to-back or back-to-front printing). It tries to be clever in certain cases: when a document has an odd number of pages it inserts in the right place an empty page when a document starts with page 0 the driver inserts an empty page after the 0-page when a piece of a document is printed that starts with an even page-number it prints this page at the backside of the first page to ensure that the odd sides are always on the frontside. The 0-page is treated like an odd page.

The doubleside option works for all LJs, not only for the new D model with does doubleside-printing (actually, i don't know wether it makes much sense on the new LJ II D at all).

Caveat on the doubleside-option: When it is used frequently or on very large files, it might become necessary to clean the printer much more frequently.

The command line option -pX can be used to abort printing after the output of X pages (can lead to strange results together with -D). I personally dislike this option. The secure way of printing a part of a document is using -f (from) and -t (to).

ENVIRONMENT
The environment variable TEXPXL can be used to specify one or more paths to the raster fonts (.pk, .pxl). The path separator under Unix is ':', under MSDOS ';'. GF-fonts can be used when the source is compiled without the preprocessor switch USEPIXEL set.

AUTHOR
Gustaf Neumann, Wirtschaftsuniversitaet Wien
neumann@awiwuw11.bitnet, neumann@wu-wien.ac.at